Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.i18n
Class BaseMessages

    java.lang.Object
      org.pentaho.di.i18n.BaseMessages

All Implemented Interfaces:
  LAFChangeListener<MessageHandler>

    public class BaseMessages

extends Object
implements LAFChangeListener<MessageHandler>

BaseMessage is called by all Message classes to enable the delegation of message delivery, by key to be delegated to the appropriately authoritative supplier as registered in the LAFFactory enabling both i18n as well as pluggable look and feel (LAF)

Author:
  dhushon

Method Summary
`static BaseMessages` | `getInstance()`
`static String` | `getString(String key)`
`static String` | `getString(String packageName, String key)`
`static String` | `getString(String packageName, String key, String param1)`
`static String` | `getString(String packageName, String key, String param1, String param2)`
`static String` | `getString(String packageName, String key, String param1, String param2, String param3)`
`static String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4)`
`static String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4, String param5)`
`static String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4, String param5, String param6)`
`void` | `notify(MessageHandler changedObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static BaseMessages getInstance()

### getString

    public static String getString(String key)

### getString

    public static String getString(String packageName,
                                   String key)

### getString

    public static String getString(String packageName,
                                   String key,
                                   String param1)

### getString

    public static String getString(String packageName,
                                   String key,
                                   String param1,
                                   String param2)

### getString

    public static String getString(String packageName,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3)

### getString

    public static String getString(String packageName,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4)

### getString

    public static String getString(String packageName,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4,
                                   String param5)

### getString

    public static String getString(String packageName,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4,
                                   String param5,
                                   String param6)

### notify

    public void notify(MessageHandler changedObject)

  Specified by:
    `notify` in interface `LAFChangeListener<MessageHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD